#!/bin/sh -efu

[ "$LONG_OPTION" = 'change-files' ] || exit

: ${PESIGN:=pesign -f}
: ${PECERT:?}

tmp="$(mktemp -t)"
trap 'rc=$?; rm -f -- "$tmp"; exit $rc' EXIT
trap 'exit 143' HUP INT QUIT TERM

cd "$RPM_BUILD_ROOT"
find -type f -writable \( -path './boot/vmlinuz-*' -o -path './usr/lib64/efi/*.efi' \) |
while read pefile; do
	objdump -rw "$pefile" |
		grep -qx '[^:]*:[[:blank:]]*file format pei-x86-64[[:blank:]]*' ||
			continue
	> "$tmp"
	$PESIGN -s -c "$PECERT" -i "$pefile" -o "$tmp"
	cat "$tmp" > "$pefile"
done

[ -s "$tmp" ]
